<p-dialog
  header="{{
    activeTabIndex === 0
      ? categoryToEdit
        ? 'Kategorie aktualisieren'
        : 'Neue Kategorie erstellen'
      : groupCategoryToEdit
      ? 'Gruppen-Kategorie aktualisieren'
      : 'Neue Gruppen-Kategorie erstellen'
  }}"
  [(visible)]="displayDialog"
  [modal]="true"
  [style]="{ width: '50vw' }"
>
  <p-tabView [(activeIndex)]="activeTabIndex" (onChange)="onTabChange($event)">
    <p-tabPanel header="Kategorie" [disabled]="activeTabIndex !== 0">
      <form #categoryForm="ngForm" (ngSubmit)="createOrUpdate()">
        <div class="field">
          <label class="pr-2" for="new_category_de">Name (deutsch)</label>
          <input
            id="new_category_de"
            name="new_category_de"
            type="text"
            pInputText
            [(ngModel)]="currentCategory.title.de"
            required
          />
        </div>
        <div class="field">
          <label class="pr-2" for="new_category_en">Name (englisch)</label>
          <input
            id="new_category_en"
            name="new_category_en"
            type="text"
            pInputText
            [(ngModel)]="currentCategory.title.en"
            required
          />
        </div>
        <div class="p-dialog-footer">
          <p-button
            label="Abbrechen"
            icon="pi pi-times"
            (onClick)="hideDialog()"
            class="p-button-secondary"
          ></p-button>
          <p-button
            label="Speichern"
            icon="pi pi-check"
            type="submit"
            [disabled]="!categoryForm.valid"
          ></p-button>
        </div>
      </form>
    </p-tabPanel>
    <p-tabPanel header="Gruppen-Kategorie" [disabled]="activeTabIndex !== 1">
      <form #groupCategoryForm="ngForm" (ngSubmit)="createOrUpdate()">
        <div class="field">
          <label class="pr-2" for="new_group_category_de">Name (deutsch)</label>
          <input
            id="new_group_category_de"
            name="new_group_category_de"
            type="text"
            pInputText
            [(ngModel)]="currentGroupCategory.title.de"
            required
          />
        </div>
        <div class="field">
          <label class="pr-2" for="new_group_category_en"
            >Name (englisch)</label
          >
          <input
            id="new_group_category_en"
            name="new_group_category_en"
            type="text"
            pInputText
            [(ngModel)]="currentGroupCategory.title.en"
            required
          />
        </div>
        <div class="p-dialog-footer">
          <p-button
            label="Abbrechen"
            icon="pi pi-times"
            (onClick)="hideDialog()"
            class="p-button-secondary"
          ></p-button>
          <p-button
            label="Speichern"
            icon="pi pi-check"
            type="submit"
            [disabled]="!groupCategoryForm.valid"
          ></p-button>
        </div>
      </form>
    </p-tabPanel>
  </p-tabView>
</p-dialog>
